Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy
[Java] Class GroovyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.GroovyException

All Implemented Interfaces:
  GroovyExceptionInterface

    public class GroovyException
    extends Exception

Constructor Summary
`GroovyException()`
`GroovyException(String message)`
`GroovyException(String message, Throwable cause)`
`GroovyException(boolean fatal)`
`GroovyException(String message, boolean fatal)`

Method Summary
`boolean` | `isFatal()`
`void` | `setFatal(boolean fatal)`

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GroovyException

    public GroovyException()

### GroovyException

    public GroovyException(String message)

### GroovyException

    public GroovyException(String message, Throwable cause)

### GroovyException

    public GroovyException(boolean fatal)

### GroovyException

    public GroovyException(String message, boolean fatal)

Method Detail

### isFatal

    public boolean isFatal()

### setFatal

    public void setFatal(boolean fatal)

Copyright © 2003-2010 The Codehaus. All rights reserved.